Bug 241371 - RHEL 4.5.0 release notes -- Statfs (df) speed up option for GFS
RHEL 4.5.0 release notes -- Statfs (df) speed up option for GFS
Status: CLOSED CURRENTRELEASE
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: gfs (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Don Domingo
GFS Bugs
: Documentation
Depends On:
Blocks: Cluster4u5relnotes
  Show dependency treegraph
 
Reported: 2007-05-25 10:56 EDT by Rob Kenna
Modified: 2010-01-11 22:15 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-17 12:02:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rob Kenna 2007-05-25 10:56:29 EDT
GFS for Enterprise 4.5 now includes an option which greatly speeds up the
execution time of the statfs call.  This call is used by the df command.  This
option uses cached information for the calculation of used space.  For the
majority of uses this is sufficiently accurate.  

The "Fast statfs" option is started by issuing "gfs_tool settune" command on
each and every node after mount using the command:

shell> gfs_tool settune <mount point> statfs_fast 1 

This must be run after the mount and does not persistent after an unmount.  It
is suggested that a wrapper script be used which performs first the mount and
then sets the flag.  Setting the flag can be integrated into the gfs init script
in /etc/init.d/gfs.  

Similarly, the feature can be turned off for mounted volumes.  Again, the
command needs to be issued on all nodes.

shell> gfs_tool settune <mount point> statfs_fast 0
Comment 1 Don Domingo 2007-05-27 20:05:17 EDT
added to release notes:

<quote>
    GFS for Red Hat Enterprise Linux 4 Update 5 now includes the df command,
which significantly improves the execution time of the statfs call. This option
uses cached information for the calculation of used space. For the majority of
users this is sufficiently accurate.

    To use the Fast statfs option, start by issuing the following command on
each node:

    gfs_tool settune <mount point> statfs_fast 1

    This command must be run after mount. Note that Fast statfs is not
persistent after an unmount. It is recommended that you use a wrapper script to
perform the mount then set the flag. Setting the flag can be integrated into the
gfs init script in /etc/init.d/gfs.

    Fast statfs can also be turned off for mounted volumes. To do this, issue
the following command on all nodes:

    gfs_tool settune <mount point> statfs_fast 0 
</quote>
Comment 2 Michael Hideo 2007-06-06 00:50:01 EDT
Adding 'cc ecs-dev-list@redhat.com for team coverage
Comment 4 Paul Kennedy 2007-06-22 17:28:12 EDT
Content is available in release notes here:
http://www.redhat.com/docs/manuals/csgfs/release-notes/CS_4-RHEL4U5-relnotes.html

Comment 5 Michael Hideo 2007-10-22 22:49:00 EDT
Removing automation notification

Note You need to log in before you can comment on or make changes to this bug.